function output = combine_grains(r_vectors,positions)

%r_vectors = [grainid rx ry rz]
%positions = [grainid grainx grainy grainz grainsize]
%produced by gtReadGrains

%avoid using this old version by mistake!
check=inputwdefault('Should use version 2!!! Continue with this old version? [y/n]', 'n');
if check=='n'
    return;
end

output=zeros(size(r_vectors,1),50);%assume no more than 50 grains to be combined...

for i=1:size(r_vectors,1)
  
  dif = r_vectors(:,2:4)-repmat(r_vectors(i,2:4),size(r_vectors,1),1);
  dif = dif.^2;
  r_distance = sqrt(sum(dif,2));
  
  dif = positions(:,2:4)-repmat(positions(i,2:4),size(r_vectors,1),1);
  dif = dif.^2;
  p_distance = sqrt(sum(dif,2));
  %consider the average size of the two grains
  p_distance = p_distance./(0.5*(positions(:,5)+repmat(positions(i,5),size(r_vectors,1),1)));

  %close in orientation and distance
  dummy =[];
  %dummy = [dummy; find(r_distance < 0.03 & p_distance < 0.2)];
  %if super close in orientation, can relax distance requirement to allow
  %for irregular shapes
dummy = [dummy; find(r_distance < 0.03 & p_distance < 0.4)];
  dummy = [dummy; find(p_distance < 0.2)];
  
  dummy = unique(dummy);
  
  output(i,1:(length(dummy))) = r_vectors(dummy,1)';
  
end
  
%crop output to only the required number of columns
tmp = sum(output,1);
dummy=find(tmp==0);
output(:,dummy)=[];

%get the unique rows - grains to be combined
output = unique(output,'rows');
%can still have multiple rows that refer to a single grain, eg ...;15 21
%0;15 21 35;... in s5_dct5.  Remove these...
tmp = unique(output(:,1));
output2=[];

for i=1:length(tmp)
  dummy=find(output(:,1)==tmp(i));
  output2(i,:)=output(max(dummy),:);%take only the row with the most entries
end
output=output2;

%also need to ensure that a grain only occurs once in the matrix
maxid = max(output(:));%max grainid
del_rows=[];
for i=1:maxid;
  dummy=find(output==i);
 
  if length(dummy)>1
    [r,c]=ind2sub(size(output),dummy);%need to remove the entry in the first column
   dummy2=find(c==1);
   del_rows=[del_rows r(dummy2)];
  end

end

del_rows=unique(del_rows);
output(del_rows,:)=[];




%output is now a table of grains that should be grouped together...

