function Omega = gtGetOmega_pair(struct_ids, pair_vector, parameters)
%get the omega angles corresponding to MaxImage of struct_ids vector
%pair_vector - 1 or 2 for this half or other half of the scan
%current directory.
%returns angle in radians!



%change to database query
if isempty(parameters)
  load('parameters.mat');
end

Omega=[];
for i=1:length(struct_ids)
  
  if pair_vector(i)==2
    Omega(i) = parameters.acq.nproj+mym(sprintf('select MaxImage from %sdifspot where difspotID = %d',parameters.acq.pair_name,struct_ids(i)));
  elseif pair_vector(i)==1
    Omega(i) = mym(sprintf('select MaxImage from %sdifspot where difspotID = %d',parameters.acq.name,struct_ids(i)));
  end
  
end
Omega = pi*(Omega./parameters.acq.nproj);
warning('messing with omega!')
%warning('Changed sign in gtGetOmega_pair!!!  For ID11 data...  ak')
%Omega = -Omega;



end