function look_at_possibles2(grainid)
%version of look_at_possibles to look at the projections making up a grain,
%showing the full images with the dif and ext spots marked


%load data 
parameters=[];
if isempty(parameters)
  load('parameters.mat');
end

grain_data=load(sprintf('4_grains/grain%d_/grain%d_.mat',grainid,grainid));
struct_ids = grain_data.struct_ids;


for i=1:length(struct_ids)
  
  [im1,im2,im,x,y]=mym(sprintf('select ExtStartImage,ExtEndImage,MaxImage,CentroidX,CentroidY from s5_dct5_difspot where difspotID=%d',struct_ids(i)));
  
  full=zeros(2048);
  for im=im1:im2
  full=full+edf_read(sprintf('1_preprocessed/full/full%04d.edf',im));
  end
  
  
  imshow(full,[])
  hold on
  plot(x,y,'x')
  
  %plot the extspot position that the difspot has been linked to by
  %autofind
   [x,y]=mym(sprintf('select CentroidX,CentroidY from s5_dct5_extspot where extspotID=%d',struct_ids(i)));
  plot(parameters.acq.bb(1)+x,parameters.acq.bb(2)+y,'ro')

  
  k=waitforbuttonpress;
  close
end