function combines = combine_grains2_twins(r_vectors,positions, bads, spacegroup)
% <<<< NOT USED >>>>
%r_vectors = [grainid rx ry rz]
%positions = [grainid grainx grainy grainz grainsize]
%produced by gtReadGrains
%combine_grains2 - need to improve the handling of what combines with
%what...
%apparently need to use positions calculated from the reconstructed,
%post-processed grains - the x/y/zcenters are rubbish for this, need
%x/y/zcenter2s
%check consistancy because of the danger of combining twins, or other close
%grains

%get rid of bads grains before starting, also those already merged

if 1
dummy=find(bads==1 | bads==2); %consider possibly bad grains

r_vectors(dummy,:)=[];
positions(dummy,:)=[];
else
	disp('not dealing with bad grains!')
end

output=zeros(size(r_vectors,1),50);%assume no more than 50 grains to be combined...

for i=1:size(r_vectors,1)
  
  dif = r_vectors(:,2:4)-repmat(r_vectors(i,2:4),size(r_vectors,1),1);
  dif = dif.^2;
  r_distance = sqrt(sum(dif,2));
  
  dif = positions(:,2:4)-repmat(positions(i,2:4),size(r_vectors,1),1);
  dif = dif.^2;
  p_distance = sqrt(sum(dif,2));
  %consider the average size of the two grains
  p_distance = p_distance./(0.5*(positions(:,5)+repmat(positions(i,5),size(r_vectors,1),1)));

  %close in orientation and distance
  dummy =[];
  %dummy = [dummy; find(r_distance < 0.03 & p_distance < 0.2)];
  %if super close in orientation, can relax distance requirement to allow
  %for irregular shapes
  dummy = [dummy; find(r_distance < 0.03 & p_distance < 0.4)];
  %can have found the wrong r space solution - will test consistancy later
  %dummy = [dummy; find(p_distance < 0.2)];
  
  dummy = unique(dummy);
  
  output(i,1:(length(dummy))) = r_vectors(dummy,1)';
 
end
  
%crop output to only the required number of columns
tmp = sum(output,1);
dummy=find(tmp==0);
output(:,dummy)=[];
tmp = sum(output,2);
dummy=find(tmp==0);
output(dummy,:)=[];

%get the unique rows - grains to be combined
output = unique(output,'rows');


%can still have multiple rows that refer to a single grain, eg ...;15 21
%0;15 21 35;... in s5_dct5.  Remove these...
%want to keep the largest possible grain sets

output2=zeros(length(output),50); %assume no more than 50 grains to be combined...
count=1;
test=0;
test_length_old=size(output,1);

while test==0
  
for i=1:max(output(:)) % go though all grainids


  dummy=find(output==i);
  [a,b]=ind2sub(size(output),dummy); % a are the rows to combine
  tmp=output(a,:); % get those rows
  tmp=tmp(:); 
  tmp=unique(tmp);
  tmp(find(tmp==0))=[];%remove zeros
  output2(count,1:length(tmp))=tmp; %and combined set of grains to output2
  count=count+1;
  
end

%remove empty rows and columns from output2
tmp = sum(output2,1);
dummy=find(tmp==0);
output2(:,dummy)=[];
tmp = sum(output2,2);
dummy=find(tmp==0);
output2(dummy,:)=[];

test_length=size(output2,1);
if test_length==test_length_old %no change in the sets
  test=1;
else
  test=0;
  test_length_old=test_length;
  output=output2;
  output2=zeros(length(output),50);
  %and do it all again
end

end % end of while loop

output2=unique(output2,'rows');
%output2 is now a table of grains that should be grouped together...





%Next step - where output2 suggests combining grains, test the consistancy
%of the result.  If putting the grain together results in a mess, should
%not do it - either because it's a twin, or because two large grains with
%com close together.

combines=output2(find(output2(:,2)~=0),:);%rows containing more than a single grain

results=[];
for i=1:size(combines,1)
  
  plane_normal=[];
  hkl=[];
  list=0; %dummy entry, delete after
  
  for j=1:size(combines,2)
    if combines(i,j)~=0
    tmp=load(sprintf('4_grains/grain%d_/grain%d_.mat',combines(i,j),combines(i,j)), 'pl', 'hkl', 'index');
  % tmp=load(sprintf('grain%d_/grain%d_.mat',combines(i,j),combines(i,j)));
  tmp.index=tmp.index(1:length(tmp.pl));
  plane_normal=[plane_normal; tmp.pl(find(tmp.index),:)]; %collect data for rodrigues
  hkl=[hkl; tmp.hkl(find(tmp.index),:)]; %note - consider only those being used for reconstruction
  list((end+1):(end+length(find(tmp.index))))=j;
    end
  end
  
  list(1)=[];%remove the dummy 0 entry
  
  [a,good_list]=plot_rodrigues_consistancy(plane_normal,hkl,spacegroup,0);
  out=list(find(good_list==1));% the spots which are consistant
	
  for j=1:size(combines,2) %calc the fraction of each grain that remains good after the combination
    results(i,j)=length(find(out==j))/length(find(list==j));
  end
  
end
%results contains the fractions of spots which stay good in each grain when
%grains are combined as suggested.  Only do the combinations which do not
%mess up consistancy
consistancy_test=0.75;  %if consistancy drops below 90% of what it was
results(find(isnan(results)))=1; %set NaN to 1 to ignore
results=results<consistancy_test;  %keep those above threshold

combines(find(results))=0;  %remove the grains that should not be combined
%combines is now the list of grains to combines, but with some rows with
%only one, or no grainids.
kill_list=[];
for i=1:size(combines,1)
  dummy=find(combines(i,:)~=0);%how many non zero entries?
  if length(dummy)<=1
    kill_list=[kill_list i];
  end
end
combines(kill_list,:)=[];%remove the rows with less than two grainids


%tidy up the combines table - remove zeros, sort
for i=1:size(combines,1)
  combines(i,:)=sort(combines(i,:),'descend');
end
combines=unique(combines,'rows');%get unique rows
tmp = sum(combines,1);%remove entirely zero columns
dummy=find(tmp==0);
combines(:,dummy)=[];
%final sort to ascending order but with zeros to the end!
for i=1:size(combines,1)
  tmp=length(find(combines(i,:)~=0)); %number of non-zeros in row
  combines(i,1:tmp)=sort(combines(i,1:tmp));
end

combines=sortrows(combines);%final sort by rows
%can have lines like this:
%     5     8    17    23    24    25    64     0     0
%     5     8    17    24    25    64     0     0     0
%     5     8    17    25    64     0     0     0     0
%     5     8    23    24    25    64     0     0     0
%get the longest list, kill the rest

kill_a=[];
for i=1:max(combines(:))
  a=find(combines(:,1)==i);
  if length(a)>1 %more than one row
    count=zeros(size(a));%count the number of entries
    for j=1:length(a)
      count(j)=length(find(combines(a(j),:)~=0));
    end
%    keep_a = a(find(count==max(count)));
    kill_a = [kill_a ; a(find(count~=max(count)))];
  end
end
combines(kill_a, :)=[];

    
    
    





